
import { Mail } from 'lucide-react';
import { Button } from "@/components/ui/button";

interface ContactButtonProps {
  onClick: () => void;
}

const ContactButton = ({ onClick }: ContactButtonProps) => {
  return (
    <Button 
      variant="ghost" 
      size="sm" 
      className="flex items-center gap-2 text-gray-300 hover:text-white hover:bg-brand-maroon/20"
      onClick={onClick}
    >
      <Mail size={16} />
      <span className="hidden md:inline-block">Contact</span>
    </Button>
  );
};

export default ContactButton;
